你的位置:首页 > Java教程

[Java教程]eclipse 各种版本spring插件安装


一.安装之前先得知道怎么下载吧:

  一般网上找到的资料是到这里就GG了的 --> http://spring.io/tools/sts/all

  

 

很明显这点版本是不够我们需要的,假如我们的eclipse是4.4.1怎么办.那么奇淫技巧来了,我们自己拼接下载地址,点击

进入我们需要的所有sts的版本,选择自己需要的一个版本下载,先下载然后暂停,看下你的链接,然后就开始拼接了:

都是几个玩计算机的怎么拼接就看自己的观察力了.点击下面红色标记的链接我们跳转到一个新的下载页面,你也可以在刚开始下载的时候就将链接复制出来,将版本拼接到前面

那两个4.5或者4.6的下载链接上面,那么我们需要的版本就可以下载了.

http://dist.springsource.com/release/TOOLS/update/3.6.3.SR1/e4.4/springsource-tool-suite-3.6.3.SR1-e4.4.1-updatesite.zip

 

二.然后就是我们的安装了

 大概步骤:1.打开eclipse

     2.点击help下面的install New SoftWare

     3.点击add

     4.点击location找到我们刚才下好插件的位置.

     5.然后选择四个跟spring相关的如下图:

注意:将Concat all update sites during install to find required soft的勾去之,不然联网更新会很慢!!!

 

然后一路next等待一个让你accept的界面,选择accept就然后等待eclipse重启.见到下面的界面就搞定了.中间可能要下些jar包.